For the complete documentation index, see llms.txt. This page is also available as Markdown.

User Chain Data

Get user total balance on all supported chains

Get net assets on multiple chains, including tokens and protocols

Method

get

Path

/v1/user/total_balance

Returns

return the total net assets and the net assets of each chain.

Object - An object with following fields:

  • total_usd_value : double - The price of all assets in a user's account.

Request

curl -X 'GET' 'https://api.connect.debank.com/v1/user/total_balance' -H 'accept: application/json' -H 'Authorization: Bearer {Your access_token}'

Result

{
  "total_usd_value": 27654.142997146177
}

Get user used chain

Method

get

Path

/v1/user/used_chain_list

Returns

Request

Result

for more info

Get user chain balance

Return the balance of a given address.

Method

get

Path

/v1/user/chain_balance

Returns

Request

Result

for more info

Get user protocol

Get one user's positions in the protocol

Method

get

Path

/v1/user/protocol

Returns

Request

Result

for more info

Get user complex protocol list

Get user's detail portfolios on a chain in the protocol.

Method

get

Path

/v1/user/complex_protocol_list

Returns

Request

Result

for more info

Get user complex protocol list on all supported chains

Get user detail portfolios on all supported chains in the protocol.

Method

get

Path

/v1/user/all_complex_protocol_list

Returns

Request

Result

for more info

Get user simple protocol list

Get user's balance on a chain in the protocol.

Method

get

Path

/v1/user/simple_protocol_list

Returns

Request

Result

for more info

Get user simple protocol list on all supported chains

Get user's balance on all supported chains in the protocol.

Method

get

Path

/v1/user/all_simple_protocol_list

Returns

Request

Result

for more info

Get user token balance

Method

get

Path

/v1/user/token

Returns

Request

Result

for more info

Get user token list

Get user token balance

Method

get

Path

/v1/user/token_list

Returns

Request

Result

for more info

Get a list of token balances on all supported chains

Method

get

Path

/v1/user/all_token_list

Returns

Request

Result

for more info

Get user nft list

Get user nft list

Method

get

Path

/v1/user/nft_list

Returns

Request

Result

for more info

Get user nft list on all supported chain

Method

get

Path

/v1/user/all_nft_list

Returns

Request

Result

for more info

Get user history list

Get user history list

Method

get

Path

/v1/user/history_list

Returns

Request

Result

for more info

Get user transaction history on all supported chains

Method

get

Path

/v1/user/all_history_list

Returns

Request

Result

for more info

Get user token authorized list

Get user token authorized list

Method

get

Path

/v1/user/token_authorized_list

Returns

Request

Result

for more info

Get user nft authorized list

Get user nft authorized list

Method

get

Path

/v1/user/nft_authorized_list

Returns

Request

Result

for more info

Get user 24-hour net curve on a single chain

Get net curve of user on a single chain

Method

get

Path

/v1/user/chain_net_curve

Returns

Request

Result

for more info

Get user 24-hour net curve on all chains

Get net curve of user on chains

Method

get

Path

/v1/user/total_net_curve

Returns

Request

Result

for more info

Last updated